// ID:编号, Weight:权重, Rate:倍率, Gold:奖励金币

export default class M_ActivityGetRichCFG {
  private static data =
      {"1":{"ID":1,"Weight":0,"Rate":2,"Gold":200000}

      ,"2":{"ID":2,"Weight":0,"Rate":4,"Gold":400000}

      ,"3":{"ID":3,"Weight":15,"Rate":6,"Gold":600000}

      ,"4":{"ID":4,"Weight":50,"Rate":8,"Gold":800000}

      ,"5":{"ID":5,"Weight":30,"Rate":9,"Gold":900000}

      ,"6":{"ID":6,"Weight":5,"Rate":10,"Gold":1000000}

      }// ID:编号, Weight:权重, Rate:倍率, Gold:奖励金币


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}